From 201ec69b11ae6d54971c14a5dbeea67b7ab4b857 Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?Gr=C3=A9gory=20Soutad=C3=A9?= <soutade@gmail.com>
Date: Sun, 12 Jun 2022 15:00:38 +0200
Subject: [PATCH] Add scripts/update_lib.sh

---
 Makefile              |  3 +++
 scripts/update_lib.sh | 21 +++++++++++++++++++++
 2 files changed, 24 insertions(+)
 create mode 100755 scripts/update_lib.sh

diff --git a/Makefile b/Makefile
index de87f9a..fac27c2 100644
--- a/Makefile
+++ b/Makefile
@@ -45,6 +45,9 @@ lib:
 	mkdir lib
 	./scripts/setup.sh
 
+update_lib:
+	./scripts/update_lib.sh
+
 obj:
 	mkdir obj
 
diff --git a/scripts/update_lib.sh b/scripts/update_lib.sh
new file mode 100755
index 0000000..c742310
--- /dev/null
+++ b/scripts/update_lib.sh
@@ -0,0 +1,21 @@
+#!/bin/bash
+
+if [ ! -d lib/pugixml -o ! -d lib/updfparser ] ; then
+    echo "Some libraries are missing"
+    echo "You must run this script at the top of libgourou working direcotry."
+    echo "./lib/setup.sh must be called first (make all)"
+    exit 1
+fi
+
+# Pugixml
+pushd lib/pugixml
+git pull origin latest
+popd
+
+# Base64
+# Nothing to do
+
+# uPDFParser
+pushd lib/updfparser
+git pull origin master
+make clean all BUILD_STATIC=1 BUILD_SHARED=0